### Class

# Msg Contact

#### Description [src]

    final class Msg.Contact : GObject.Object
    {
      /* No available fields */
    }

Handling of contact specific functions.

Details: https://learn.microsoft.com/en-us/graph/api/resources/contact?view=graph-rest-1.0.

#### Ancestors

- GObject

#### Constructors

###### msg_contact_new

Creates a new `MsgContact`.

###### msg_contact_new_from_json

Creates a new `MsgContact` from json response object.

#### Instance methods

###### msg_contact_get_given_name

Gets given name.

###### msg_contact_get_id

Gets ID.

###### msg_contact_get_name

No description available.

###### msg_contact_get_surname

Gets surname.

###### msg_contact_set_given_name

Sets contacts given name.

###### msg_contact_set_surname

Sets contacts surname.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgContactClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.